/*
 
selector { property:value(s); }
 
 
CSS Units:
 
PX --> ein Pixel bezieht sich auf einen dargestellten Pixel am jeweiligen Screen
 
VW --> ein VW ist ein Prozent der aktuellen Viewportbreite
VH --> ein VH ist ein Prozent der aktuellen Viewporthöhe
% --> ein % ist ein Prozent des direkten Elternelements
 
EM --> ein EM ist die aktive Schriftgröße des Elements in Bezug auf die Schriftgrößen-Einstellung des Users im Browser
REM --> ein REM ist die Standardschrift-Größe in den Einstellungen des Users im Browser
CH --> die Breite des Characters Null - eine 0 in der aktiven Schrift und Schriftgröße
 
 
*/

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body,
html {

    background-color: rgb(242, 199, 68);
    overflow-x: hidden;
    margin: 0;
    padding: 0;
}

.nospace {
    margin-left: 0;
    margin-right: 0;
    padding: 0;
}


main {}

header {


    width: 100vw;
    display: flex;
    flex-direction: column;
    justify-content: center;

    box-sizing: border-box;
    margin: 2em 3em 2em 3em;


}



nav a {


    color: rgb(242, 199, 68);

    transition: 0.5s;

    display: inline-block;
    flex-direction: row;





    font-family: Lato, Helvetica, Arial, sans-serif;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 0.2rem;
    font-style: normal;



    max-width: 1200px;
    margin: 0 auto;
    padding: 1.5rem 2rem;

    text-decoration: none;




}

nav a:hover {

    color: black;
}

a {
    color: black;
}

h1 {

    font-size: 7rem;
    text-align: left;
    color: black;

    max-width: 128rem;


    font-family: "superior-title",
        serif;
    font-weight: 800;
    font-style: normal;
    letter-spacing: -0.03em;


    width: 100vw;
    display: block;
    flex-direction: column;
    -webkit-box-pack: center;

    margin-top: 3em;
    margin-bottom: 3em;
    margin-left: 2em;
    margin-right: 2em;
}

h2 {

    color: black;

    font-family: "lato", sans-serif;
    font-weight: 1000;
    text-transform: none;
    letter-spacing: normal;
    font-style: normal;



    font-size: 1.5rem;

    margin-top: 3rem;
    margin-left: 10em;
    margin-right: 10em;
}
.green {
    transition: background-color 0.3s ease;
    margin: 0;
    padding: 0;
}

.green:hover {
    background-color: #79ac79;
}

.blue {
    transition: background-color 0.3s ease;
}

.blue:hover {
    background-color: #99b0e3;
}

.orange {
    transition: background-color 03 ease;
}

.orange:hover {
    background-color: #eb8e49;
}



.heavy {
    font-style: initial;
    font-weight: 3000;
}

img {
    width: 100%;
    height: auto;

}

figure {
    background-color: darkgray;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 2em;
    margin-top: 2em;
    text-align: center;
    padding-bottom: 1em;
    padding-top: 1em;


}

figcaption {

    font-family: "droid-sans", sans-serif;
    font-weight: 400;
    font-style: normal;
}

h3 {
    padding: 0.5;
    color: black;
    font-size: 2em;
    text-align: center;
    font-weight: normal;

    font-family: "droid-sans",
        sans-serif;
    font-weight: 400;
    font-style: normal;
    margin-left: 15em;
    margin-right: 10em;
}


article {
    margin: 0;
    padding-top: 1em;
    padding-bottom: 4em;
}


.lets-grow {

    flex-grow: 1;
}

strong {

    font-family: "droid-sans", sans-serif;
    font-weight: 700;
    font-style: normal;
}

main {
    background-color: rgb(242, 199, 68);

    /*
    display: flex;
    flex-wrap: wrap;
    gap: 1em;
*/

}

.index main {}

.html main {}

.responsive main {}

.content-parts red-box {
    background-color: aqua;
}

.container {
    margin: 2.5em 0em;
    padding: 1em;
    background-color: #eeeeee;


}

.item {
    margin: 0.5em;
    padding: 0.5em;
    background-color: black;
    color: white;
    text-transform: uppercase;

}

.it-inline {
    display: inline;
}


.inline-b {
    display: inline-block;
}

.cont-flex {
    background-color: black;
    border: solid 2px;
    border-color: #bababa;
    padding: 0.5em;


    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.cont-flex .item {

    background-color: white;
    color: black;

    display: flex;
    flex-flow: column wrap;
    flex-grow: 1;
    width: 30ch;

}

.image-container {

    display: flex;
    flex-wrap: wrap;
    justify-content: center;


}

.image-container figure:hover {

    filter: none;
}

.image-container figure {

    width: 400px;
    margin: 3px;
    padding: 0 0 0 1;
    flex-grow: 1;

    filter: grayscale(100) blur(2px) contrast(200%);
    transition: 1s;

}


p {


    font-size: 2.5em;

    line-height: 1.6em;

    font-family: "superior-title",
        serif;
    font-style: normal;

    box-sizing: border-box;


    max-width: 40ch;
    margin-left: 6em;
    margin-right: 10em;
    
    padding-top: 1em;
    padding-bottom: 4em;





}

ul {

    max-width: 55ch;
    list-style: none;
    line-height: 150%;
    margin-bottom: 1em;

    list-style: none;
    padding: 0;

    line-height: 1.6em;

    font-family: "lato", sans-serif;
    font-weight: 200;
    font-style: normal;
    font-size: 2em;


}


img {
    width: 100%;
    height: auto;
}

li {


    padding-bottom: 3em;
    margin-left: 7.5em;
    margin-right: 7.5em;
    padding-top:1em;

}

.merksatz {
    max-width: 60ch;
    font-size: 1.5em;
    text-align: center;
    padding: 1em 3em;
    border-top: solid 4px black;
    border-bottom: solid 4px black;
    border-left: solid 4px black;
    border-right: solid 4px black;

    transition: 0.5s;
    margin-left: 10em;
    margin-right: 10em;

}

.merksatz:hover {
    transform: rotate(8deg);
    border-radius: 10px;
}


.currentmenu {
    color: black;

}


footer {
    padding: 1em;
    background-color: black;
    color: white;
    margin: 0em;
}
